Download it now!
Bug 35823 - Checking Spelling in Other Languages not present and not work
Summary: Checking Spelling in Other Languages not present and not work
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
3.3.2 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL: http://help.libreoffice.org/Writer/Ch...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-31 01:59 UTC by sasha.libreoffice
Modified: 2011-12-23 14:05 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sasha.libreoffice 2011-03-31 01:59:00 UTC
in Help of Writer we can find theme:
Checking Spelling in Other Languages
and inside of this page writen:
LibreOffice can check the spelling of words in more than one language, provided that you have installed dictionaries for the other languages.
1. Choose Tools - Options - Language Settings - Writing Aids, and ensure that the Check in all languages check box in the Options list is selected.
----end of citation----

In my office installed several spellcheck dictionaries. But no such option in options I can find. But it can be very useful because of much texts with intermixed languages. In OpenOffice this option also not present.

produced on Mandriva 64 bit and windows XP 32 bit with LibreOffice 3.3.2 and OpenOffice 3.3.1
Comment 1 manj_k 2011-04-02 12:52:49 UTC
Help > "Checking Spelling in Other Languages" 
is invalid/wrong and should be removed, due to the fact that this option "Check in all languages" has been removed in OOo 3.0.1.

See:
OOo_Bug_69451 - Inconsistency with spell checking option "check in all languages" between Writer and Calc 
http://openoffice.org/bugzilla/show_bug.cgi?id=69451#c8

For the spell check in all (applied) languages you have to set the corresponding language attribute for the text (and to install the appropriate dictionaries).
Comment 2 sasha.libreoffice 2011-04-04 06:03:15 UTC
Thanks for answer. But I can not find this:
>set the corresponding language attribute for the text
I can find only how spellcheck only one language or disable check.
Please, tell how set spellcheck for all installed languages.
Thanks
Comment 3 manj_k 2011-04-04 08:36:45 UTC
Sorry, the intended purpose of FreeDesktop Bugzilla is *not* the user support.
However--some subtle hints:
Try it out
- Menu Tools > Language
- Status Bar > Language
(1) Software Specification Document OOo Writer "Set Language Attribute for Text"
http://specs.openoffice.org/appwide/linguistic/Set_Language_Attribute_for_Text.odt
(2) [Solved] Tools>Language question
http://user.services.openoffice.org/en/forum/viewtopic.php?f=7&t=28976&start=0
(3) [Solved] Language select in status bar
http://user.services.openoffice.org/en/forum/viewtopic.php?f=7&t=29516&start=0

LibreOffice Help is obviously wrong or poor to that topic.
That's the bug.
Comment 4 manj_k 2011-04-04 11:14:00 UTC
See also
OOo_Bug_91949 - GCF - Writing Aids dialog adjustment: Remove "Old German Spelling", "Check in all languages", "Do not mark errors" 
http://openoffice.org/bugzilla/show_bug.cgi?id=91949
Comment 5 manj_k 2011-04-04 11:21:01 UTC
See also
OOo_Bug_98867 - "all languages" option disappeared
http://openoffice.org/bugzilla/show_bug.cgi?id=98867
Comment 6 sasha.libreoffice 2011-04-05 07:22:17 UTC
Thanks for explanations. It will very useful for me and for those who encounter this bug and try to post bugreport.

It is very useful information how to add needed language in context menu using styles in template. I will try it. Thanks. And this should be mentioned in Help for LibreOffice.

As I can understand from last link, problem with "Check in all languages" will not be fixed. It is sorrow. This function is very useful.

Thanks for help and explanations in this problem.
Comment 7 manj_k 2011-04-05 09:11:43 UTC
Suggestion

Remove or modify the wrong entry in Help.
Path:
LibreOffice Help > LibreOffice Writer > Tab Contents > Text Documents > Spellchecking, Thesaurus, and Languages > Checking Spelling in Other Languages

URL Help Wiki:
http://help.libreoffice.org/Writer/Checking_Spelling_in_Other_Languages
Comment 8 Andras Timar 2011-06-06 13:22:44 UTC
I did not find this help topic in 3.4 but now I removed the last traces of it from master.
Comment 9 manj_k 2011-06-11 11:14:42 UTC
Thanks, it's removed and all right now for
Win helppacks v3.4.0 and v3-4~2011-06-09_03.54.49 
(and Wiki Help, too).
Comment 10 Andras Timar 2011-07-28 02:13:33 UTC
will ship in 3.4.3, thanks